uses TestLib,SysUtils;
var
	oufAns,ansAns : string;
	line : LongInt;
begin	
	line := 0;
	while (not ans.SeekEof) do
	begin	
		inc(line);
		oufAns := ouf.ReadString;
		ansAns := ans.ReadString;
		if (oufAns=ansAns) then
		else 
		begin
			if (oufAns<>'YES') and (oufAns<>'NO') 
				then Quit(_pe,'neither YES nor NO, line: '+IntToStr(line))
			else 
				Quit(_wa,ansAns+' expected, but '+oufAns+' found, line: '+IntToStr(line));
		end; 	
	end;

	Quit(_ok,'Tests number: '+IntToStr(line));
end.	